Bug 509701 - Update to latest lirc packages break lirc_mceusb2 (all kernel 2.6.27.x lirc drivers, actually)
Update to latest lirc packages break lirc_mceusb2 (all kernel 2.6.27.x lirc d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 05:40 EDT by Jurgen Kramer
Modified: 2009-08-31 19:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.8.5-2.fc10.0.8.4a
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 19:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2009-07-05 05:40:37 EDT
Description of problem:
After updating to the latest lirc packages my mce usb remote no longer functions

Version-Release number of selected component (if applicable):
lirc-0.8.5-2.fc10.x86_64.rpm
lirc-devel-0.8.5-2.fc10.x86_64.rpm
lirc-doc-0.8.5-2.fc10.x86_64.rpm
lirc-libs-0.8.5-2.fc10.x86_64.rpm
lirc-remotes-0.8.5-2.fc10.x86_64.rpm

How reproducible:
always

Steps to Reproduce:
1. Update to latest lirc packages
2. Try remote in mythtv / irw etc
3.
  
Actual results:
Pressing buttons on the remote does not yield any results.


Expected results:
Function remote

Additional info:
This is on my F10 x86_64 based MythTV frontend which I only updated once so often. After downgrading to the previous lirc packages:

lirc-remotes-0.8.4a-2.fc10.x86_64
lirc-libs-0.8.4a-2.fc10.x86_64
lirc-doc-0.8.4a-2.fc10.x86_64
lirc-0.8.4a-2.fc10.x86_64
lirc-devel-0.8.4a-2.fc10.x86_64

I have a working remote again! The system if fully updated for all other packages.

With the newer packages I cannot run irrecord properly (I tried to see if the codes changed). The lirc service starts normally.

The kernel reports the following remote:
lirc_mceusb2: Philips eHome USB IR Transceiver and Microsoft MCE 2005 Remote Control driver for LIRC 1.48
lirc_mceusb2: Daniel Melander <lirc@rajidae.se>, Martin Blatter <martin_a_blatter@yahoo.com>
lirc_mceusb2[2]:   BB+ Dongle(e.d) on usb3:2
usbcore: registered new interface driver lirc_mceusb2
Comment 1 Jarod Wilson 2009-07-06 09:54:41 EDT
Yeah, a known issue, I screwed this one up. The lirc 0.8.5 userspace requires a 2.6.29.x or later Fedora kernel, which is available in updates-testing, and should get into updates Real Soon Now. Alternatively, you do what you've done and downgrade to lirc 0.8.4a for use with a 2.6.27.x kernel.
Comment 2 Jurgen Kramer 2009-07-07 12:53:06 EDT
OK, I will hold on to the 'old' version of the lirc packages until the new kernel shows up. I'm glad I still have a working remote and therefore working MythTV frontend :)
Comment 3 Fedora Update System 2009-08-30 00:24:14 EDT
lirc-0.8.5-2.fc10.0.8.4a has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lirc-0.8.5-2.fc10.0.8.4a
Comment 4 Fedora Update System 2009-08-31 19:43:16 EDT
lirc-0.8.5-2.fc10.0.8.4a has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.